Kirjoittaja Aihe: flash-player ei toimi  (Luettu 15167 kertaa)

0 jäsentä ja 1 Vieras katselee tätä aihetta.

janne72

  • Vieras
flash-player ei toimi
« : 28.11.2007 - klo:17:25 »
Miksi kun yritän avata internetsivustoja, kone aina sanoo, että puuttuu liitännäisä (application/x-shockware-flash) vaikka taas asennustiedoissa näkyy, että flashplayer 9.0.48.0 on asennettu. Pitääkö asentaa uudelleen vai miten saan näkymään videot, musiikit yms. Oon tosi uus Susen ja linuxin käyttäjä ja kaikki on uutta.

guest141

  • Vieras
Vs: flash-player ei toimi
« Vastaus #1 : 28.11.2007 - klo:18:44 »
Sinulla pitää olla Yast:in kautta asennettuna myös mozillaan liittyvät pluginit,(jos siis Mozillaa käytät esim).

Yast -> ohjelmisto -> ohjelmistohallinta -> etsi toiminnolla: mozilla , ja listaan pitäisi tulla myös Mozilla plugin for flash rendering, jonka tarvitset, muunmuassa.

Ja yleisimmät asennuslähteet pitää olla yhteisöasennuslähteistä ruksittuna, packman muunmuassa.

janne72

  • Vieras
Vs: flash-player ei toimi
« Vastaus #2 : 29.11.2007 - klo:12:31 »
Hei. Kiitos avusta mutta ei auttanut. Yhäkään ei saa auki mitään. Sanoo että java script ei ole käytössä tai flashplayer pitää päivittää.

guest141

  • Vieras
Vs: flash-player ei toimi
« Vastaus #3 : 29.11.2007 - klo:13:24 »
Silloin sinun pitää asentaa java pluginin selainta varten, onko sinulla muuten 32 vai 64 bittinen opensuse?

Ja luehan tämä keskustelu: http://opensuse.fi/keskustelu/index.php?topic=1156.msg7902;topicseen#msg7902

Poissa jmp

  • openSUSE Member
  • *
  • Viestejä: 4553
  • Sukupuoli: Mies
    • openSUSEa suomeksi
Vs: flash-player ei toimi
« Vastaus #4 : 29.11.2007 - klo:14:03 »
Hei. Kiitos avusta mutta ei auttanut. Yhäkään ei saa auki mitään. Sanoo että java script ei ole käytössä tai flashplayer pitää päivittää.

Ei kai noscript-addon ole käytössä?

Jos tuo flashplyer on asennettu YaSTilla openSUSE omasta paketista niin sen pitäisi toimia out-of-box, sekä 32- että 64-bittisessä versiossa.
Ja muistakaa pitää hauskaa ;)

openSUSE Tumbleweed (x86_64)

janne72

  • Vieras
Vs: flash-player ei toimi
« Vastaus #5 : 29.11.2007 - klo:18:08 »
Ei ainakaan löytynyt noscripistä mitään tietoa, asensin tuon Java plugin. Ei auttanut vieläkään. Kai tämä 64-bittinen on, asensin viikonloppuna. En oo ennen linuxia käyttänyt mutta kyllästyin windowsiin. Kaikki on uutta ja ihmeellistä. Sorry että oon vaivaksi.

Poissa jmp

  • openSUSE Member
  • *
  • Viestejä: 4553
  • Sukupuoli: Mies
    • openSUSEa suomeksi
Vs: flash-player ei toimi
« Vastaus #6 : 29.11.2007 - klo:18:27 »
Komenna

cat /etc/SuSE-release

ja

zypper repos


ja pastea tulosteet tänne

Ja muistakaa pitää hauskaa ;)

openSUSE Tumbleweed (x86_64)

janne72

  • Vieras
Vs: flash-player ei toimi
« Vastaus #7 : 29.11.2007 - klo:18:33 »
ok

janne@linux-sea3:~> cat /etc/SuSE-release
openSUSE 10.3 (X86-64)
VERSION = 10.3
janne@linux-sea3:~> zypper repos
#  | Käytössä | Päivitä | Tyyppi | Alias                                                                               | Nimi                                               
---+----------+---------+--------+-------------------------------------------------------------------------------------+----------------------------------------------------
1  | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/OpenOffice.org:/STABLE/openSUSE_10.3/     | openSUSE BuildService - OpenOffice.org             
2  | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/server:/php/openSUSE_10.3/                | openSUSE BuildService - PHP                       
3  | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/KDE:/Backports/openSUSE_10.3/             | openSUSE BuildService - KDE:Backports             
4  | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/server:/mail/openSUSE_10.3/               | openSUSE BuildService - Mail Server               
5  | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/drivers:/webcam/openSUSE_10.3/            | openSUSE BuildService - Drivers for webcams       
6  | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_10.3/                    | openSUSE BuildService - Mozilla                   
7  | Kyllä    | Kyllä   | rpm-md | http://ftp.skynet.be/pub/packman/suse/10.3/                                         | Packman Repository                                 
8  | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/games:/action/openSUSE_10.3/              | openSUSE BuildService - Games (action)             
9  | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/Virtualization:/VirtualBox/openSUSE_10.3/ | openSUSE BuildService - Virtualization (VirtualBox)
10 | Kyllä    | Kyllä   | rpm-md | openSUSE-10.3-Updates                                                               | openSUSE-10.3-Updates                             
11 | Kyllä    | Kyllä   | yast2  | http://download.opensuse.org/repositories/openSUSE:10.3/standard/                   | Pääasennuslähde (OSS)                             
12 | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/drivers:/wlan/SUSE_Linux_Factory/         | openSUSE BuildService - Drivers for Wireless LAN   
13 | Kyllä    | Kyllä   | rpm-md | http://www2.ati.com/suse/10.3                                                       | ATI Repository                                     
14 | Kyllä    | Kyllä   | rpm-md | http://download.nvidia.com/opensuse/10.3                                            | NVIDIA Repository                                 
15 | Kyllä    | Kyllä   | yast2  | http://download.opensuse.org/distribution/10.3/repo/non-oss/                        | Pääasennuslähde (NON-OSS)                         
16 | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/X11:/XGL/openSUSE_10.3/                   | openSUSE BuildService - X11:XGL                   
17 | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/KDE:/Community/openSUSE_10.3/             | openSUSE BuildService - KDE:Community             
18 | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/GNOME:/STABLE/openSUSE_10.3/              | openSUSE BuildService - GNOME:STABLE               
19 | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/GNOME:/Community/openSUSE_10.3/           | openSUSE BuildService - GNOME:Community           
20 | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_10.3/            | openSUSE BuildService - Wine CVS Builds           
21 | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/server:/database/openSUSE_10.3/           | openSUSE BuildService - Database                   
22 | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/Virtualization:/Qemu/openSUSE_10.3/       | openSUSE BuildService - Virtualization (QEMU)     
23 | Kyllä    | Kyllä   | rpm-md | http://download.videolan.org/pub/videolan/vlc/SuSE/10.3/                            | VideoLan Repository                               
24 | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/X11:/xfce/openSUSE_10.3/                  | openSUSE BuildService - XFCE                       
25 | Kyllä    | Ei      | yast2  | openSUSE-10.3-OSS-Gnome 10.3                                                        | openSUSE-10.3-OSS-Gnome 10.3                       

Poissa jmp

  • openSUSE Member
  • *
  • Viestejä: 4553
  • Sukupuoli: Mies
    • openSUSEa suomeksi
Vs: flash-player ei toimi
« Vastaus #8 : 29.11.2007 - klo:19:17 »
Asennuslähteistä ei löydy syytä siihen miksi flash ei toimi.
Itselläni flash toimi heti, ilman kikkailua 64-bittisessä oS10.3:ssa (dvd asennus).

Muutama huomio kuitenkin.

ok

janne@linux-sea3:~> cat /etc/SuSE-release
openSUSE 10.3 (X86-64)
VERSION = 10.3

Eli siis 64-bittinen.

Lainaus
janne@linux-sea3:~> zypper repos
#  | Käytössä | Päivitä | Tyyppi | Alias                                                                               | Nimi                                               
---+----------+---------+--------+-------------------------------------------------------------------------------------+----------------------------------------------------
1  | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/OpenOffice.org:/STABLE/openSUSE_10.3/     | openSUSE BuildService - OpenOffice.org           

<snip> 
                          
11 | Kyllä    | Kyllä   | yast2  | http://download.opensuse.org/repositories/openSUSE:10.3/standard/                   | Pääasennuslähde (OSS)                             
12 | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/drivers:/wlan/SUSE_Linux_Factory/         | openSUSE BuildService - Drivers for Wireless LAN   
13 | Kyllä    | Kyllä   | rpm-md | http://www2.ati.com/suse/10.3                                                       | ATI Repository                                     
14 | Kyllä    | Kyllä   | rpm-md | http://download.nvidia.com/opensuse/10.3                                            | NVIDIA Repository                                 
15 | Kyllä    | Kyllä   | yast2  | http://download.opensuse.org/distribution/10.3/repo/non-oss/                        | Pääasennuslähde (NON-OSS)                         
16 | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/X11:/XGL/openSUSE_10.3/                   | openSUSE BuildService - X11:XGL                   
17 | Kyllä    | Kyllä   | rpm-md | http://download.opensuse.org/repositories/KDE:/Community/openSUSE_10.3/             | openSUSE BuildService - KDE:Community         

<snip>   
 
25 | Kyllä    | Ei      | yast2  | openSUSE-10.3-OSS-Gnome 10.3                                                        | openSUSE-10.3-OSS-Gnome 10.3                       


Poista päivitys käytöstä Pääasennuslähde (OSS ja NON-OSS) asennuslähteistä.
Ja poista joko ati tai nvidia, riippuen näytönohjaimesta. Et tarvitse molempia.
Myös tuon openSUSE-10.3-OSS-Gnome voit poistaa(oletan että sillä tarkoitetaan CD:tä).
Poistaa voi myös openSUSE BuildService - Drivers for Wireless LAN-asennuslähteen, koska nuo ajurit/kmp:t on mukana joko OSS tai NON-OSS asennuslähteillä.

Kun olet nuo tehnyt suorita

zypper ref

root-käyttäjänä. Koska käytössä on noin paljon asennuslähteitä, ohjelmistohallinta voi olla aika hidas.
Voit koettaa nopeuttaa ohjelmistohallintaa seuraavalla tavalla

Lataa http://opensuse.fi/stuff/zypp.db-fix.sh ja suorita se root-käyttäjänä.
Ja muistakaa pitää hauskaa ;)

openSUSE Tumbleweed (x86_64)

Poissa jmp

  • openSUSE Member
  • *
  • Viestejä: 4553
  • Sukupuoli: Mies
    • openSUSEa suomeksi
Vs: flash-player ei toimi
« Vastaus #9 : 29.11.2007 - klo:19:41 »
Itselläni flash toimi heti, ilman kikkailua 64-bittisessä oS10.3:ssa (dvd asennus).
Asentuuko Macromedia:n Flash oletuksena kun järjestelmän asentaa dvd:ltä?
Itselläni on asennes tehty cd:ltä ja flashin asensin sitten jälkeen päin.

En muista oliko se valittuna oletuksena vai pitikö se valita itse, mutta joka tapauksessa DVD sisältää nuo non-oss sälät.
Ja muistakaa pitää hauskaa ;)

openSUSE Tumbleweed (x86_64)

janne72

  • Vieras
Vs: flash-player ei toimi
« Vastaus #10 : 29.11.2007 - klo:19:50 »
Nyt toimii. Kiitos avusta  ;D ;D

Poissa jmp

  • openSUSE Member
  • *
  • Viestejä: 4553
  • Sukupuoli: Mies
    • openSUSEa suomeksi
Vs: flash-player ei toimi (enää Konqueror:ssa)
« Vastaus #11 : 27.12.2007 - klo:22:14 »
Ilmeisesti kyseessä on tämä ongelma (bug#348088)
Ja muistakaa pitää hauskaa ;)

openSUSE Tumbleweed (x86_64)

guest653

  • Vieras
Vs: flash-player ei toimi
« Vastaus #12 : 26.02.2008 - klo:11:03 »
Sinulla pitää olla Yast:in kautta asennettuna myös mozillaan liittyvät pluginit,(jos siis Mozillaa käytät esim).

Yast -> ohjelmisto -> ohjelmistohallinta -> etsi toiminnolla: mozilla , ja listaan pitäisi tulla myös Mozilla plugin for flash rendering, jonka tarvitset, muunmuassa.

Ja yleisimmät asennuslähteet pitää olla yhteisöasennuslähteistä ruksittuna, packman muunmuassa.

Tomtomin tarjousta yritin katsoa, mutta tuli herja flashplayerin toimimatomuudesta. Päivittelin em. ohjeilla, mutta pukkaa seuraavanlaisen herjan Kuvaruutukaappaus.

Minkähän vuoksi Youtube pätkii todella pahasti linuxissani, mutta samassa verkossa oleva XP-kone toimii jouheasti, puuttuuko joku plugin ?

Poissa arijoutsi

  • Käännösryhmä
  • *
  • Viestejä: 2062
  • Sukupuoli: Mies
Vs: flash-player ei toimi
« Vastaus #13 : 26.02.2008 - klo:11:40 »

Tomtomin tarjousta yritin katsoa, mutta tuli herja flashplayerin toimimatomuudesta. Päivittelin em. ohjeilla, mutta pukkaa seuraavanlaisen herjan

Minkähän vuoksi Youtube pätkii todella pahasti linuxissani, mutta samassa verkossa oleva XP-kone toimii jouheasti, puuttuuko joku plugin ?

Packmanin palvelimella saattaa olla ongelmia. Yritä uudelleen.

Youtube tarvii vain flashin. Pätkiikö aina vai joskus. Voi johtua esim. huonosta yhteydestä.
HP Elite book, openSUSE Leap 15.2
Mac mini Catalina.
Puhelin, iPhone SE.

guest653

  • Vieras
Vs: flash-player ei toimi
« Vastaus #14 : 26.02.2008 - klo:11:53 »

Packmanin palvelimella saattaa olla ongelmia. Yritä uudelleen.

Youtube tarvii vain flashin. Pätkiikö aina vai joskus. Voi johtua esim. huonosta yhteydestä.

8/2 yhteys on koneessa. Toivotaan, jotta korjaantuisi kunhan saan sen mozillan laajennuksen joskus ajetuksi .

Tämä ei toimi

 "You need to upgrade your Flash Player  Download flashplayer 8  Download  "

Kummallisinta on, että käsittääkseni mulla uudempi versio ?

edit:

Höh, noscipt ohjelma esti sivua latautumasta, mutta kyllä tuo sivu päkii todella huikeesti eli ei ole asetukset/ päivitykset kunnossa

guest653

  • Vieras
Vs: flash-player ei toimi
« Vastaus #15 : 26.02.2008 - klo:21:53 »
...tuo sivu päkii todella huikeesti eli ei ole asetukset/ päivitykset kunnossa
Firefox:in osoiteriville about:plugins. Mikä versio lukee Shockwave Flash -kohdassa?

Shockwave Flash

    Tiedostonimi: libflashplayer.so
    Shockwave Flash 9.0 r115

MIME-tyyppi    Kuvaus    Päätteet    Käytössä
application/x-shockwave-flash    Shockwave Flash    swf    Kyllä
application/futuresplash    FutureSplash Player    spl    Kyllä

Copy/paste vähän levisi . Johtuisiko tämäkin kenties siitä nvidia ongelmasta jonka toisessa topicissa kerroin.